> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Delivery Location

> Gets a specific Delivery Location for the site. If the location is not associated with a location type configured for the delivery location usage type (DL), the operation returns an error.



## OpenAPI

````yaml /openapi/openapi_location_storefront.json get /commerce/storefront/locationUsageTypes/DL/location
openapi: 3.0.1
info:
  description: |-
    <div id="overview_LOCATION_STOREFRONT">
                <h2>LOCATION STOREFRONT</h2>
                <p>The Location API for the storefront simply allows information about the individual fulfillment locations to be queried at the
                    storefront. These are not administrative calls for managing location records and groups - they are a set of GET
                    requests for retrieving location data.</p>
                <p>To create and update (or perform other management actions) location records, see the Location Administration API service instead.</p>
            </div>
  title: Location Storefront
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/storefront/locationUsageTypes/DL/location:
    get:
      tags:
        - Location
      summary: Get Delivery Location
      description: >-
        Gets a specific Delivery Location for the site. If the location is not
        associated with a location type configured for the delivery location
        usage type (DL), the operation returns an error.
      parameters:
        - in: query
          name: includeAttributeDefinition
          schema:
            default: false
            type: boolean
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Location'
            text/json:
              schema:
                $ref: '#/components/schemas/Location'
            text/plain:
              schema:
                $ref: '#/components/schemas/Location'
          description: Success
components:
  schemas:
    Location:
      properties:
        address:
          $ref: '#/components/schemas/CommerceRuntimeAddress'
        allowFulfillmentWithNoStock:
          nullable: false
          type: boolean
        attributes:
          items:
            $ref: '#/components/schemas/LocationAttribute'
          nullable: true
          type: array
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        capacity:
          $ref: '#/components/schemas/Capacity'
        code:
          nullable: true
          type: string
        cutoffTimes:
          $ref: '#/components/schemas/CutoffTimes'
        deliveryConsolidation:
          nullable: false
          type: boolean
        description:
          nullable: true
          type: string
        dropShip:
          $ref: '#/components/schemas/DropShip'
        express:
          nullable: false
          type: boolean
        fax:
          nullable: true
          type: string
        fulfillmentTypes:
          items:
            $ref: '#/components/schemas/FulfillmentType'
          nullable: true
          type: array
        geo:
          $ref: '#/components/schemas/Coordinates'
        includeInInventoryAggregrate:
          nullable: false
          type: boolean
        includeInLocationExport:
          nullable: false
          type: boolean
        isDisabled:
          nullable: false
          type: boolean
        locationTypes:
          items:
            $ref: '#/components/schemas/LocationType'
          nullable: true
          type: array
        name:
          nullable: true
          type: string
        note:
          nullable: true
          type: string
        phone:
          nullable: true
          type: string
        processingTimes:
          $ref: '#/components/schemas/ProcessingTimes'
        regularHours:
          $ref: '#/components/schemas/RegularHours'
        requiresManifest:
          nullable: false
          type: boolean
        shipToHomeConsolidation:
          nullable: false
          type: boolean
        shippingOriginContact:
          $ref: '#/components/schemas/ShippingOriginContact'
        slaConfigurations:
          items:
            $ref: '#/components/schemas/SlaConfiguration'
          nullable: true
          type: array
        supportsInventory:
          nullable: false
          type: boolean
        tags:
          items:
            type: string
          nullable: true
          type: array
        transferEnabled:
          nullable: false
          type: boolean
        warehouseEnabled:
          nullable: false
          type: boolean
      type: object
    CommerceRuntimeAddress:
      properties:
        address1:
          nullable: true
          type: string
        address2:
          nullable: true
          type: string
        address3:
          nullable: true
          type: string
        address4:
          nullable: true
          type: string
        addressType:
          nullable: true
          type: string
        cityOrTown:
          nullable: true
          type: string
        countryCode:
          nullable: true
          pattern: ^[A-Z]{2}$
          type: string
        isValidated:
          nullable: true
          type: boolean
        postalOrZipCode:
          nullable: true
          type: string
        stateOrProvince:
          nullable: true
          type: string
      type: object
    LocationAttribute:
      properties:
        adminName:
          maxLength: 50
          nullable: true
          type: string
        attributeCode:
          maxLength: 50
          type: string
        attributeFQN:
          nullable: true
          type: string
        attributeMetadata:
          items:
            $ref: '#/components/schemas/LocationAttributeMetadataItem'
          nullable: true
          type: array
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        availableForDiscounts:
          type: boolean
        availableForOrderRouting:
          type: boolean
        content:
          $ref: '#/components/schemas/CommerceRuntimeAttributeLocalizedContent'
        dataType:
          nullable: true
          type: string
        displayGroup:
          type: string
        id:
          format: int32
          nullable: true
          type: integer
        inputType:
          nullable: true
          type: string
        isActive:
          nullable: true
          type: boolean
        isMultiValued:
          nullable: true
          type: boolean
        isReadOnly:
          type: boolean
        isRequired:
          nullable: true
          type: boolean
        isVisible:
          nullable: true
          type: boolean
        namespace:
          maxLength: 200
          nullable: true
          type: string
        order:
          format: int32
          nullable: true
          type: integer
        validation:
          $ref: '#/components/schemas/CommerceRuntimeAttributeValidation'
        valueType:
          type: string
        vocabularyValues:
          items:
            $ref: '#/components/schemas/LocationAttributeVocabularyValue'
          nullable: true
          type: array
      required:
        - attributeCode
        - displayGroup
        - valueType
      type: object
    AdminUserAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
    Capacity:
      properties:
        shipmentsPerUnit:
          format: int32
          nullable: true
          type: integer
        unitOfMeasure:
          nullable: true
          type: string
      type: object
    CutoffTimes:
      properties:
        schedules:
          items:
            $ref: '#/components/schemas/CutoffSchedule'
          nullable: true
          type: array
        timeZone:
          $ref: '#/components/schemas/LocationTimeZone'
      type: object
    DropShip:
      properties:
        vendorCode:
          nullable: true
          type: string
      type: object
    FulfillmentType:
      properties:
        code:
          nullable: true
          type: string
        name:
          nullable: true
          type: string
      type: object
    Coordinates:
      properties:
        lat:
          format: double
          nullable: false
          type: number
        lng:
          format: double
          nullable: false
          type: number
      type: object
    LocationType:
      properties:
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        code:
          nullable: true
          type: string
        name:
          nullable: true
          type: string
      type: object
    ProcessingTimes:
      properties:
        fulfillment:
          items:
            $ref: '#/components/schemas/FulfillmentProcessingTime'
          nullable: true
          type: array
        receive:
          $ref: '#/components/schemas/ReceiveProcessingTime'
      type: object
    RegularHours:
      properties:
        friday:
          $ref: '#/components/schemas/Hours'
        monday:
          $ref: '#/components/schemas/Hours'
        saturday:
          $ref: '#/components/schemas/Hours'
        sunday:
          $ref: '#/components/schemas/Hours'
        thursday:
          $ref: '#/components/schemas/Hours'
        timeZone:
          nullable: true
          type: string
        tuesday:
          $ref: '#/components/schemas/Hours'
        wednesday:
          $ref: '#/components/schemas/Hours'
      type: object
    ShippingOriginContact:
      properties:
        companyOrOrganization:
          nullable: true
          type: string
        email:
          nullable: true
          type: string
        firstName:
          nullable: true
          type: string
        lastNameOrSurname:
          nullable: true
          type: string
        middleNameOrInitial:
          nullable: true
          type: string
        phoneNumber:
          nullable: true
          type: string
      type: object
    SlaConfiguration:
      properties:
        isEnabled:
          nullable: false
          type: boolean
        slaId:
          format: int32
          nullable: false
          type: integer
        targetServiceLevelPercentage:
          format: int32
          nullable: false
          type: integer
      type: object
    LocationAttributeMetadataItem:
      properties:
        key:
          maxLength: 50
          type: string
        value:
          type: string
      required:
        - key
        - value
      type: object
    CommerceRuntimeAttributeLocalizedContent:
      properties:
        localeCode:
          maxLength: 8
          nullable: true
          type: string
        value:
          maxLength: 100
          nullable: true
          type: string
      type: object
    CommerceRuntimeAttributeValidation:
      properties:
        maxDateTime:
          format: date-time
          nullable: true
          type: string
        maxNumericValue:
          format: double
          nullable: true
          type: number
        maxStringLength:
          format: int32
          nullable: true
          type: integer
        minDateTime:
          format: date-time
          nullable: true
          type: string
        minNumericValue:
          format: double
          nullable: true
          type: number
        minStringLength:
          format: int32
          nullable: true
          type: integer
        regularExpression:
          maxLength: 200
          nullable: true
          type: string
      type: object
    LocationAttributeVocabularyValue:
      properties:
        content:
          $ref: '#/components/schemas/LocationAttributeValueLocalizedContent'
        isHidden:
          nullable: true
          type: boolean
        sequence:
          format: int32
          nullable: true
          type: integer
        value:
          maxLength: 50
          type: string
      required:
        - value
      type: object
    CutoffSchedule:
      properties:
        fulfillmentType:
          nullable: true
          type: string
        times:
          $ref: '#/components/schemas/WeeklyCutoffHours'
      type: object
    LocationTimeZone:
      properties:
        ianaCode:
          nullable: true
          type: string
        id:
          nullable: true
          type: string
        isDaylightSavingsTime:
          nullable: false
          type: boolean
        offset:
          format: double
          nullable: false
          type: number
      type: object
    FulfillmentProcessingTime:
      properties:
        fulfillmentTypeCode:
          nullable: true
          type: string
        unit:
          nullable: true
          type: string
        value:
          format: int32
          nullable: false
          type: integer
      type: object
    ReceiveProcessingTime:
      properties:
        unit:
          nullable: true
          type: string
        value:
          format: int32
          nullable: false
          type: integer
      type: object
    Hours:
      properties:
        closeTime:
          nullable: true
          type: string
        isClosed:
          nullable: false
          type: boolean
        label:
          nullable: true
          type: string
        openTime:
          nullable: true
          type: string
      type: object
    LocationAttributeValueLocalizedContent:
      properties:
        localeCode:
          type: string
        value:
          type: string
      required:
        - localeCode
        - value
      type: object
    WeeklyCutoffHours:
      properties:
        friday:
          $ref: '#/components/schemas/CutoffHours'
        monday:
          $ref: '#/components/schemas/CutoffHours'
        saturday:
          $ref: '#/components/schemas/CutoffHours'
        sunday:
          $ref: '#/components/schemas/CutoffHours'
        thursday:
          $ref: '#/components/schemas/CutoffHours'
        tuesday:
          $ref: '#/components/schemas/CutoffHours'
        wednesday:
          $ref: '#/components/schemas/CutoffHours'
      type: object
    CutoffHours:
      properties:
        endTime:
          nullable: true
          type: string
        isClosed:
          nullable: false
          type: boolean
        startTime:
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````